apc_delete_file
apc_exists
APC Functions
PHP Manual

# apc_delete

Removes a stored variable from the cache

### Description

mixed apc_delete ( string `$key` )

Removes a stored variable from the cache.

### Parameters

`key`

  The `key` used to store the value (with apc_store).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 A apc_delete example

`<?php
$bar = 'BAR';
apc_store('foo', $bar);
apc_delete('foo');
// this is obviously useless in this form
?>`

### See Also

- apc_store
- apc_fetch